using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.src.Teletext;
using skyscraper5.Teletext.Vps;
using skyscraper5.Teletext.Wss;

namespace skyscraper5.Teletext
{
    interface ITeletextPageHandler
    {
        void OnVpsData(int networkId, int transportStreamId, ushort programNumber, VpsDataBlock vpsDataField, int elementaryPid);
        void OnWssData(int networkId, int transportStreamId, ushort programNumber, WssDataBlock wssDataBlock, int elementaryPid);
        void OnTeletextPage(int networkId, int transportStreamId, ushort programNumber, TeletextMagazine magazine);
		void OnMonochromeData(int networkId, int transportStreamId, ushort programNumber, MonochromeDataField result);
	}
}
